
local module = D:module('diamond_heist_detection_meter')

module:hook(CopLogicSecurityOnDuty, "_react_to_suspects", function(data, my_data)

	module:call_orig(CopLogicSecurityOnDuty, "_react_to_suspects", data, my_data)
	
	local key_str = tostring(data.unit:key())
	--no need to worry about whisper/casing mode here, there shouldn't be any cops with this logic function running anymore
	
	--discover_t starts at time + 2 seconds
	--so if you're still in their range and current time > discover_t then you're in trouble
	if (my_data.discover_t) then
		managers.groupai:state()._dhdm_guards[key_str] = my_data.discover_t
	else
		managers.groupai:state()._dhdm_guards[key_str] = nil
	end
	
end)